/* *INDENT-OFF* */ /* THIS FILE IS GENERATED */

/* A register protocol for GDB, the GNU debugger.
   Copyright 2001, 2002 Free Software Foundation, Inc.

   This file is part of GDB.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* This file was created with the aid of ``regdat.sh'' and ``../../../gdb/gdbserver/../regformats/reg-ppc.dat''.  */

#include "regdef.h"
#include "regcache.h"

struct reg regs_ppc_e500[] = {
  { "r0", 0, 32 },
  { "r1", 32, 32 },
  { "r2", 64, 32 },
  { "r3", 96, 32 },
  { "r4", 128, 32 },
  { "r5", 160, 32 },
  { "r6", 192, 32 },
  { "r7", 224, 32 },
  { "r8", 256, 32 },
  { "r9", 288, 32 },
  { "r10", 320, 32 },
  { "r11", 352, 32 },
  { "r12", 384, 32 },
  { "r13", 416, 32 },
  { "r14", 448, 32 },
  { "r15", 480, 32 },
  { "r16", 512, 32 },
  { "r17", 544, 32 },
  { "r18", 576, 32 },
  { "r19", 608, 32 },
  { "r20", 640, 32 },
  { "r21", 672, 32 },
  { "r22", 704, 32 },
  { "r23", 736, 32 },
  { "r24", 768, 32 },
  { "r25", 800, 32 },
  { "r26", 832, 32 },
  { "r27", 864, 32 },
  { "r28", 896, 32 },
  { "r29", 928, 32 },
  { "r30", 960, 32 },
  { "r31", 992, 32 },
  { "ev0", 1024, 32 },
  { "", 1056, 32 },
  { "", 1088, 32 },
  { "", 1120, 32 },
  { "", 1152, 32 },
  { "", 1184, 32 },
  { "", 1216, 32 },
  { "", 1248, 32 },
  { "", 1280, 32 },
  { "", 1312, 32 },
  { "", 1344, 32 },
  { "", 1376, 32 },
  { "", 1408, 32 },
  { "", 1440, 32 },
  { "", 1472, 32 },
  { "", 1504, 32 },
  { "", 1536, 32 },
  { "", 1568, 32 },
  { "", 1600, 32 },
  { "", 1632, 32 },
  { "", 1664, 32 },
  { "", 1696, 32 },
  { "", 1728, 32 },
  { "", 1760, 32 },
  { "", 1792, 32 },
  { "", 1824, 32 },
  { "", 1856, 32 },
  { "", 1888, 32 },
  { "", 1920, 32 },
  { "", 1952, 32 },
  { "", 1984, 32 },
  { "ev31", 2016, 32 },
  { "pc", 2048, 32 },
  { "ps", 2080, 32 },
  { "cr", 2112, 32 },
  { "lr", 2144, 32 },
  { "ctr", 2176, 32 },
  { "xer", 2208, 32 },
  { "fpscr", 2240, 0 },
  { "acc", 2240, 64 },
  { "spefscr", 2304, 32 },
};

const char *expedite_regs_ppc_e500[] = { "r1", "pc", 0 };

void
init_registers ()
{
    set_register_cache (regs_ppc_e500,
			sizeof (regs_ppc_e500) / sizeof (regs_ppc_e500[0]));
    gdbserver_expedite_regs = expedite_regs_ppc_e500;
}
